<?php
/**
 * Plugin Name: WooCommerce PDF Invoices Pro 
 * Plugin URI: https://codecanyon.net/item/woocommerce-pdf-invoices-pro/25419070
 * Description: WooCommerce PDF Invoices Pro is an extension that allows you to easily manage the Invoice create and printing process for WooCommerce shop by automatically adding PDF Invoice into order confirmation email that sent to your shop
 * Version: 1.0.5
 * Author: Truemart
 * Author URI: https://cmsmart.net/
 * License: GPLv2 or later
 * Text Domain: netbase-smart-invoice
 * Domain Path: /langs
*/

//Backend
define('NETBASE_SMART_INVOICE_PLUGIN_URL',plugin_dir_url(__FILE__));
define('NETBASE_SMART_INVOICE_PLUGIN_DIR',plugin_dir_path(__FILE__));
define('INVOICE_DATA_SERVER','https://demo7.cmsmart.net/netbase_developer/server_import');
define('NETBASE_SMART_INVOICE_PLUGIN_VIEW_DIR',NETBASE_SMART_INVOICE_PLUGIN_DIR . 'views');
define("NETBASE_TEPLATE_DEMO", false);
require_once NETBASE_SMART_INVOICE_PLUGIN_DIR . '/library/mpdf/vendor/autoload.php';
require_once NETBASE_SMART_INVOICE_PLUGIN_DIR . '/includes/nbpdf/nb_pdf_include.php';
// require_once Class
require_once(dirname(__FILE__).'/includes/class/install.php');
register_activation_hook(__FILE__, 'nb_invoice_template_install');
require_once NETBASE_SMART_INVOICE_PLUGIN_DIR . '/includes/class/rewrites.php';
if (is_admin()) {
    require_once NETBASE_SMART_INVOICE_PLUGIN_DIR . '/includes/backend.php';
    require_once NETBASE_SMART_INVOICE_PLUGIN_DIR . '/includes/table/invoicetable.php';
    require_once NETBASE_SMART_INVOICE_PLUGIN_DIR . '/includes/table/deliverytable.php';
    new NBSmartInvoiceBackend();
} else {
    require_once NETBASE_SMART_INVOICE_PLUGIN_DIR . '/includes/frontend.php';
    new NBSmartInvoiceFrontend();
}